<script src="https://code.highcharts.com/highcharts.src.js"></script>
<center><div id = "container" style="width:50%; height:580px;" data-match = "{{ team_given_run }}"></div></center>>
<script>
  var div  = document.getElementById('container');
  var json_data = JSON.parse(div.dataset.match);

  
  var team = []
  var given_runs = []
  for(var i = 0; i<json_data.length;i++) {
    team.push(json_data[i].bowling_team)
    given_runs.push(json_data[i].extra_runs)
  }
  
  var chart = Highcharts.chart('container', {

        title: {
            text: 'Extra runs given by teams in 2016'
        },

        xAxis: {
            categories: team,
            title : {
              text : 'Team'
            }
        },

        yAxis : {
          title : {
            text : 'Extra runs'
          }
        },

        series: [{
          name : "extra runs",
          type : "column",
          colorByPoint : true,
          data : given_runs,
          showInZLegend : false
        }]
    });
</script>